Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#70680 - java-environment-common: dead symlink: /usr/bin/jarsigner

Attached to Project: Arch Linux
Opened by Jonas Große Sundrup (cherti) - Sunday, 02 May 2021, 13:55 GMT
Last edited by Doug Newgard (Scimmia) - Sunday, 02 May 2021, 15:47 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
/usr/bin/jarsigner is a symlink owned by the package java-environment-common which points to
/usr/lib/jvm/default/bin/jarsigner, which, however, does not exist (and according to an up to date pacman -F also is not included in any other package).

Additional info:
* package version: 3-3

Steps to reproduce:
1. Install java-environment-common
2. Inspect symlink /usr/bin/jarsigner
This task depends upon

Closed by  Doug Newgard (Scimmia)
Sunday, 02 May 2021, 15:47 GMT
Reason for closing:  Not a bug
Additional comments about closing:  java-runtime-common is for the jres, java-environment-common is only pulled in by the jdks.
Comment by Doug Newgard (Scimmia) - Sunday, 02 May 2021, 14:01 GMT
Sounds like you don't have a default env set.
Comment by Jonas Große Sundrup (cherti) - Sunday, 02 May 2021, 15:29 GMT
"archlinux-java get" gives me java-8-openjdk/jre, according to its --help "get" should give me the short name of the Java environment set as default, hence I suspect that there is a default env set?

archlinux-java fix doesn't fix the symlink, so that doesn't seem to be the issue.

Does this still leave room for an unset env?
Comment by Doug Newgard (Scimmia) - Sunday, 02 May 2021, 15:45 GMT
Oh, so it's because you only have the jre installed, jarsigner is part of the jdk.

Loading...